Bug 219373 - running kernel crashes while compiling vanilla kernel - "kernel BUG at lib/list_debug.c:70!"
running kernel crashes while compiling vanilla kernel - "kernel BUG at lib/li...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-12 15:27 EST by Thomas Benway
Modified: 2008-05-06 13:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from compile running kernel-2.6.18-1.2849.fc6 (3.43 KB, text/plain)
2006-12-12 15:34 EST, Thomas Benway
no flags Details
Output from compile running kernel-2.6.18-1.2856.fc6 (24.02 KB, text/plain)
2006-12-12 15:35 EST, Thomas Benway
no flags Details
Syslog messages from kernel crash running kernel-2.6.18-1.2856.fc6 (6.87 KB, text/plain)
2006-12-12 15:36 EST, Thomas Benway
no flags Details

  None (edit)
Description Thomas Benway 2006-12-12 15:27:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.8.0.8) Gecko/20061025 Firefox/1.5.0.8

Description of problem:
I keep getting kernel crashes when compiling a vanilla kernels from kernel.org.



Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2849.fc6

How reproducible:
Always


Steps to Reproduce:
1. Download the kernel sources and link to /usr/src/linux

2.  cd /usr/src/linux
    make mrproper
    cp /usr/src/kernels/2.6.18-1.2849.fc6-i686/.config .
    make oldconfig
    make menuconfig
    make all




Actual Results:

And the system either hangs completely or starts falling apart slowy and dies.


Expected Results:
Kernel should compile.

Additional info:
Output from make all:

    CC      drivers/base/power/resume.o
    CC      drivers/base/power/runtime.o
    CC      drivers/base/power/sysfs.o
  gcc: Internal error: Segmentation fault (program cc1)
  Please submit a full bug report.
  See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
  make[3]: *** [drivers/base/power/sysfs.o] Error 1
  make[2]: *** [drivers/base/power] Error 2
  make[1]: *** [drivers/base] Error 2
  make: *** [drivers] Error 2
  [root@slim linux]#
  Message from syslogd@slim at Thu Dec  7 19:07:17 2006 ...
  slim kernel: ------------[ cut here ]------------

  Message from syslogd@slim at Thu Dec  7 19:07:17 2006 ...
  slim kernel: kernel BUG at lib/list_debug.c:70!

  Message from syslogd@slim at Thu Dec  7 19:07:17 2006 ...
  slim kernel: invalid opcode: 0000 [#1]

  Message from syslogd@slim at Thu Dec  7 19:07:17 2006 ...
  slim kernel: SMP

  Message from syslogd@slim at Thu Dec  7 19:07:17 2006 ...
  slim kernel: CPU:    1

  etc...

I'll attach full logs of output on users screen and syslogd output.

I have tried compiling the following vanilla kernels:

2.6.18.5
2.6.18
2.6.19

I have also upgraded the running kernel to dave jones' wip kernel at
http://people.redhat.com/davej/kernels/Fedora/FC6/kernel-2.6.18-1.2856.fc6.i686.rpm
and tried that with the same results.

[root@slim src]# uname -a
Linux slim.xxxxxxxx.xxx 2.6.18-1.2856.fc6 #1 SMP Tue Nov 21 02:15:13 EST 2006 i686 athlon i386 GNU/Linux
[root@slim src]# gcc --version
gcc (GCC) 4.1.1 20061011 (Red Hat 4.1.1-30)
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

System is a AMD X2 3800+ on an ASUS M2NPV-MX Socket AM2 mobo.

No 3rd party RPM repos have been used to install software. Any installed software has been from source and compiled on the machine.

Similar error to 217914 and 217915 but i havent been mounting anything.
Comment 1 Thomas Benway 2006-12-12 15:34:28 EST
Created attachment 143438 [details]
Output from compile running kernel-2.6.18-1.2849.fc6
Comment 2 Thomas Benway 2006-12-12 15:35:46 EST
Created attachment 143439 [details]
Output from compile running kernel-2.6.18-1.2856.fc6
Comment 3 Thomas Benway 2006-12-12 15:36:43 EST
Created attachment 143440 [details]
Syslog messages from kernel crash running kernel-2.6.18-1.2856.fc6
Comment 4 Dave Jones 2006-12-18 23:02:08 EST
Two separate problems here.
First there's the "kernel BUG at lib/list_debug.c:70!" which indicates
corruption of a linked list.  This could have been caused by any number of
things.  Usually directly before that line in the logs there's something along
the lines of
"expected ->next to be xxxxxxxxx but was yyyyyyyyy" which may give some clues.

The other problem ("unable to handle kernel paging request at virtual address
ffffff8b") looks like something went horribly wrong whilst top was walking
through the /proc filesystem.  Again, this smells like corruption of kernel memory.

Have you tried running memtest86+ on this box for a few hours just to rule out
hardware misbehaving ?
Comment 5 Thomas Benway 2006-12-20 17:17:23 EST
OK.

Ran memtest64+ for just over 4 hours doing 10 passes with the standard
configuration and there were no errors.


Found this in /var/log/messages with respect to the "kernel BUG at
lib/list_debug.c:70!":


Dec  7 19:07:17 slim kernel: list_del corruption. next->prev should be c1389278,
but was
c1381078
Dec  7 19:07:17 slim kernel: ------------[ cut here ]------------
Dec  7 19:07:17 slim kernel: kernel BUG at lib/list_debug.c:70!
Dec  7 19:07:17 slim kernel: invalid opcode: 0000 [#1]
Dec  7 19:07:17 slim kernel: SMP
Dec  7 19:07:17 slim kernel: last sysfs file: /devices/pci0000:00/0000:00:00.0/class
Dec  7 19:07:17 slim kernel: Modules linked in: autofs4 it87 hwmon_vid hwmon
eeprom i2c_i
sa hidp rfcomm l2cap bluetooth sunrpc ip_conntrack_ftp ip_conntrack_netbios_ns
iptable_na
t ip_nat iptable_mangle ipt_REJECT xt_state ip_conntrack nfnetlink
iptable_filter ip_tabl
es ip6t_REJECT xt_tcpudp ip6table_filter ip6_tables x_tables cpufreq_ondemand
dm_mirror d
m_multipath dm_mod video sbs i2c_ec button battery asus_acpi ac ipv6 parport_pc
lp parpor
t snd_hda_intel snd_hda_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event
snd_seq snd_se
q_device snd_pcm_oss snd_mixer_oss snd_pcm sg ide_cd k8_edac pcspkr edac_mc
snd_timer i2c
_nforce2 serio_raw cdrom i2c_core snd forcedeth soundcore snd_page_alloc sata_nv
libata s
d_mod scsi_mod ext3 jbd ehci_hcd ohci_hcd uhci_hcd
Dec  7 19:07:17 slim kernel: CPU:    1
Dec  7 19:07:17 slim kernel: EIP:    0060:[<c04e9a10>]    Not tainted VLI
Dec  7 19:07:17 slim kernel: EFLAGS: 00010092   (2.6.18-1.2849.fc6 #1)
Dec  7 19:07:17 slim kernel: EIP is at list_del+0x48/0x6c
Dec  7 19:07:17 slim kernel: eax: 00000048   ebx: c1389278   ecx: c067e1d0  
edx: 0000008
6
Dec  7 19:07:17 slim kernel: esi: c1389260   edi: 00000212   ebp: c0683580  
esp: da37ce7
c
Dec  7 19:07:17 slim kernel: ds: 007b   es: 007b   ss: 0068
Dec  7 19:07:17 slim kernel: Process cc1 (pid: 18304, ti=da37c000 task=c19df2c0
task.ti=d
a37c000)
Dec  7 19:07:17 slim kernel: Stack: c0641d04 c1389278 c1381078 c0683680 c0457aed
00000003
 00000044 e136e000
Dec  7 19:07:17 slim kernel:        00000003 00000000 000280d2 c0685aac 00000000
00000001
 08933151 00000001
Dec  7 19:07:17 slim kernel:        da37cef8 c0685aa8 000280d2 c0685aa8 c19df2c0
c0457d27
 00000044 00001be1
Dec  7 19:07:17 slim kernel: Call Trace:
Dec  7 19:07:17 slim kernel:  [<c0457aed>] get_page_from_freelist+0x14b/0x318
Dec  7 19:07:17 slim kernel:  [<c0457d27>] __alloc_pages+0x6d/0x2aa
Dec  7 19:07:17 slim kernel:  [<c045ea2c>] __handle_mm_fault+0x123/0x860
Dec  7 19:07:17 slim kernel:  [<c0615588>] do_page_fault+0x213/0x4db
Dec  7 19:07:17 slim kernel:  [<c0404b85>] error_code+0x39/0x40
Dec  7 19:07:17 slim kernel: DWARF2 unwinder stuck at error_code+0x39/0x40
Dec  7 19:07:17 slim kernel: Leftover inexact backtrace:
Dec  7 19:07:17 slim kernel:  =======================
Dec  7 19:07:17 slim kernel: Code: c0 e8 dc bd f3 ff 0f 0b 41 00 f3 1c 64 c0 8b
03 8b 40
04 39 d8 74 1c 89 5c 24 04 89 44 24 08 c7 04 24 04 1d 64 c0 e8 b7 bd f3 ff <0f>
0b 46 00
f3 1c 64 c0 8b 13 8b 43 04 89 42 04 89 10 c7 43 04
Dec  7 19:07:17 slim kernel: EIP: [<c04e9a10>] list_del+0x48/0x6c SS:ESP
0068:da37ce7c
Dec  7 19:07:17 slim kernel:  <3>BUG: sleeping function called from invalid
context at ke
rnel/rwsem.c:20
Dec  7 19:07:17 slim kernel: in_atomic():0, irqs_disabled():1
Dec  7 19:07:17 slim kernel:  [<c04051db>] dump_trace+0x69/0x1af
Dec  7 19:07:17 slim kernel:  [<c0405339>] show_trace_log_lvl+0x18/0x2c
Dec  7 19:07:17 slim kernel:  [<c04058ed>] show_trace+0xf/0x11
Dec  7 19:07:17 slim kernel:  [<c04059ea>] dump_stack+0x15/0x17
Dec  7 19:07:17 slim kernel:  [<c04394a2>] down_read+0x12/0x20
Dec  7 19:07:17 slim kernel:  [<c0431601>] blocking_notifier_call_chain+0xe/0x29
Dec  7 19:07:17 slim kernel:  [<c0427628>] do_exit+0x1b/0x776
Dec  7 19:07:17 slim kernel:  [<c040588e>] die+0x29d/0x2c2
Dec  7 19:07:17 slim kernel:  [<c0405fd3>] do_invalid_op+0xa2/0xab
Dec  7 19:07:17 slim kernel:  [<c0404b85>] error_code+0x39/0x40
Dec  7 19:07:17 slim kernel: DWARF2 unwinder stuck at error_code+0x39/0x40
Dec  7 19:07:17 slim kernel: Leftover inexact backtrace:
Dec  7 19:07:17 slim kernel:  [<c04e9a10>] list_del+0x48/0x6c
Dec  7 19:07:17 slim kernel:  [<c0457aed>] get_page_from_freelist+0x14b/0x318
Dec  7 19:07:17 slim kernel:  [<c0457d27>] __alloc_pages+0x6d/0x2aa
Dec  7 19:07:17 slim kernel:  [<c0464320>] anon_vma_prepare+0x20/0xb8
Dec  7 19:07:17 slim kernel:  [<c045ea2c>] __handle_mm_fault+0x123/0x860
Dec  7 19:07:17 slim kernel:  [<c0615588>] do_page_fault+0x213/0x4db
Dec  7 19:07:17 slim kernel:  [<c0615375>] do_page_fault+0x0/0x4db
Dec  7 19:07:17 slim kernel:  [<c0404b85>] error_code+0x39/0x40
Dec  7 19:07:17 slim kernel:  =======================
Comment 6 Bug Zapper 2008-04-04 01:13:00 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 13:10:23 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.